// priority: 0

// Visit the wiki for more info - https://kubejs.com/

console.info('Hello, World! (Loaded server scripts)')



    
ServerEvents.tags('item', event => {

    
    event.add('balm:ingots', 'hardmodeprogression:nickel_ingot')

    event.add('balm:nickel_ingots', 'hardmodeprogression:nickel_ingot')

    event.add('forge:ingots', 'hardmodeprogression:nickel_ingot')

    event.add('forge:ingots/nickel', 'hardmodeprogression:nickel_ingot')

    event.add('minecraft:beacon_payment_items', 'hardmodeprogression:nickel_ingot')

    event.add('balm:ores', 'hardmodeprogression:nickel_ore_block')

    event.add('balm:ores', 'hardmodeprogression:deepslate_nickel_ore_block')

    event.add('excavated_variants:stone_ores', 'hardmodeprogression:nickel_ore_block')

    event.add('excavated_variants:stone_ores', 'hardmodeprogression:deepslate_nickel_ore_block')

    event.add('forge:ores', 'hardmodeprogression:nickel_ore_block')

    event.add('forge:ores', 'hardmodeprogression:deepslate_nickel_ore_block')

    event.add('forge:ores/nickel', 'hardmodeprogression:nickel_ore_block')

    event.add('forge:ores/nickel', 'hardmodeprogression:deepslate_nickel_ore_block')

    event.add('forge:ores_in_ground/stone', 'hardmodeprogression:nickel_ore_block')

    event.add('forge:ores_in_ground/deepslate', 'hardmodeprogression:deepslate_nickel_ore_block')

    event.add('forge:raw_materials', 'hardmodeprogression:raw_nickel')

    event.add('forge:raw_materials/nickel', 'hardmodeprogression:raw_nickel')

    event.add('balm:gems', 'farlanders:endumium_crystal')

    event.add('forge:gems', 'farlanders:endumium_crystal')

    event.add('theurgy:gems/mercury/high', 'farlanders:endumium_crystal')

    event.add('alexmobs:underminer_ores', 'farlanders:endumium_ore')

    event.add('balm:ores', 'farlanders:endumium_ore')

    event.add('excavated_variants:stone_ores', 'farlanders:endumium_ore')

    event.add('theurgy:gems/mercury/high', 'farlanders:endumium_ore')

    
    event.add('alexmobs:underminer_ores', 'farlanders:deepslate_endumium_ore')

    event.add('balm:ores', 'farlanders:deepslate_endumium_ore')

    event.add('excavated_variants:stone_ores', 'farlanders:deepslate_endumium_ore')

    event.add('theurgy:gems/mercury/high', 'farlanders:deepslate_endumium_ore')

    event.add('forge:scrap/netherite', 'minecraft:netherite_scrap')

    event.add('ynm:magical_properties', 'galosphere:allurite_lamp')

    event.add('ynm:magical_properties', 'galosphere:amethyst_lamp')

    event.add('ynm:magical_properties', 'galosphere:lumiere_lamp')

    event.add('ynm:magical_properties', 'betteramethyst:amethyst_crystal_lamp')

    event.add('forge:shields', 'lost_aether_content:zanite_shield')

    event.add('bookshelf:shields', 'lost_aether_content:zanite_shield')

    event.add('forge:shields', 'lost_aether_content:gravitite_shield')

    event.add('bookshelf:shields', 'lost_aether_content:gravitite_shield')

    event.add('forge:shields', 'lost_aether_content:shield_of_emile')

    event.add('bookshelf:shields', 'lost_aether_content:shield_of_emile')

    event.add('forge:shields', 'ars_nouveau:enchanters_shield')

    event.add('bookshelf:shields', 'ars_nouveau:enchanters_shield')

    event.add('forge:shields', 'bygonenether:gilded_netherite_shield')

    event.add('bookshelf:shields', 'bygonenether:gilded_netherite_shield')

    event.add('forge:shields', 'deep_aether:skyjade_shield')

    event.add('bookshelf:shields', 'deep_aether:skyjade_shield')

    event.add('forge:shields', 'deep_aether:stratus_shield')

    event.add('bookshelf:shields', 'deep_aether:stratus_shield')

    event.add('forge:shields', 'enderitemod:enderite_shield')

    event.add('bookshelf:shields', 'enderitemod:enderite_shield')

    event.add('forge:shields', 'forbidden_arcanus:obsidian_skull_shield')

    event.add('bookshelf:shields', 'forbidden_arcanus:obsidian_skull_shield')

    event.add('forge:shields', 'endermanoverhaul:corrupted_shield')

    event.add('bookshelf:shields', 'endermanoverhaul:corrupted_shield')

    event.add('forge:shields', 'alexcaves:resistor_shield')

    event.add('bookshelf:shields', 'alexcaves:resistor_shield')

    event.add('forge:shields', 'legendary_monsters:frostbitten_shield')

    event.add('bookshelf:shields', 'legendary_monsters:frostbitten_shield')

    event.add('forge:shields', 'legendary_monsters:dinosaur_bone_shield')

    event.add('bookshelf:shields', 'legendary_monsters:dinosaur_bone_shield')

    event.add('forge:shields', 'legendary_monsters:shulker_shield')

    event.add('bookshelf:shields', 'legendary_monsters:shulker_shield')

    event.add('ynm:hide_for_bow', 'minecraft:rabbit_hide')

    event.add('ynm:hide_for_bow', 'alexsmobs:kangaroo_hide')

    event.add('balm:nuggets', 'kubejs:dark_iron_nugget')

    event.add('forge:nuggets', 'kubejs:dark_iron_nugget')

    event.add('ynm:relic_magical_convertion', 'relics:amphibian_boot')

    event.add('ynm:relic_magical_convertion', 'relics:aqua_walker')

    event.add('ynm:relic_magical_convertion', 'relics:arrow_quiver')

    event.add('ynm:relic_magical_convertion', 'relics:bastion_ring')

    event.add('ynm:relic_magical_convertion', 'relics:blazing_flask')

    event.add('ynm:relic_magical_convertion', 'relics:chorus_inhibitor')

    event.add('ynm:relic_magical_convertion', 'relics:drawned_belt')

    event.add('ynm:relic_magical_convertion', 'relics:elytra_booster')

    event.add('ynm:relic_magical_convertion', 'relics:enders_hand')

    event.add('ynm:relic_magical_convertion', 'relics:holy_locket')

    event.add('ynm:relic_magical_convertion', 'relics:horse_flaute')

    event.add('ynm:relic_magical_convertion', 'relics:haunter_belt')

    event.add('ynm:relic_magical_convertion', 'relics:ice_breaker')

    event.add('ynm:relic_magical_convertion', 'relics:ice_skates')

    event.add('ynm:relic_magical_convertion', 'relics:infinity_ham')

    event.add('ynm:relic_magical_convertion', 'relics:jellyfish_necklace')

    event.add('ynm:relic_magical_convertion', 'relics:leather_belt')

    event.add('ynm:relic_magical_convertion', 'relics:magic_mirror')

    event.add('ynm:relic_magical_convertion', 'relics:magma_walker')

    event.add('ynm:relic_magical_convertion', 'relics:midnight_robe')

    event.add('ynm:relic_magical_convertion', 'relics:rage_glove')

    event.add('ynm:relic_magical_convertion', 'relics:reflection_necklace')

    event.add('ynm:relic_magical_convertion', 'relics:roller_skates')

    event.add('ynm:relic_magical_convertion', 'relics:shadow_glaive')

    event.add('ynm:relic_magical_convertion', 'relics:space_dissector')

    event.add('ynm:relic_magical_convertion', 'relics:spatial_sign')

    event.add('ynm:relic_magical_convertion', 'relics:spore_sack')

    event.add('ynm:relic_magical_convertion', 'relics:wool_mitten')

    event.add('ynm:relic_magical_convertion', 'ramcompat:frost_robe')

    event.add('ynm:relic_magical_convertion', 'ramcompat:stink_gland')

    event.add('ynm:relic_magical_convertion', 'ramcompat:tendon_lump')

    event.add('ynm:relic_magical_convertion', 'nameless_trinkets:unknown_fragment')

    event.add('jewelcraft:is_gold', 'magicaljewelry:gold_amulet')

    event.add('jewelcraft:is_gold', 'magicaljewelry:gold_ring')

    event.add('jewelcraft:is_gold', 'magicaljewelry:gold_bracelet')

    event.add('jewelcraft:is_silver', 'magicaljewelry:silver_amulet')

    event.add('jewelcraft:is_silver', 'magicaljewelry:silver_ring')

    event.add('jewelcraft:is_silver', 'magicaljewelry:silver_bracelet')

    event.remove('forge:leather', 'forbidden_arcanus:rotten_leather')

    event.add('balm:nuggets', 'morenugget:coal_nuggets')

    event.add('balm:coal_nuggets', 'morenugget:coal_nuggets')

    event.add('forge:nuggets', 'morenugget:coal_nuggets')

    event.add('forge:nuggets/coal', 'morenugget:coal_nuggets')

    event.add('balm:nuggets', 'morenugget:copper_nuggets')

    event.add('forge:nuggets', 'morenugget:copper_nuggets')

    event.add('forge:nuggets/copper', 'morenugget:copper_nuggets')

    event.add('balm:nuggets', 'morenugget:diamond_nuggets')

    event.add('forge:nuggets', 'morenugget:diamond_nuggets')

    event.add('forge:nuggets/diamond', 'morenugget:diamond_nuggets')

    event.add('balm:nuggets', 'morenugget:emerald_nuggets')

    event.add('forge:nuggets', 'morenugget:emerald_nuggets')

    event.add('forge:nuggets/emerald', 'morenugget:emerald_nuggets')

    event.add('balm:nuggets', 'morenugget:lapis_nuggets')

    event.add('forge:nuggets', 'morenugget:lapis_nuggets')

    event.add('forge:nuggets/lapis', 'morenugget:lapis_nuggets')

    event.add('balm:nuggets', 'morenugget:netherite_nuggets')

    event.add('forge:nuggets', 'morenugget:netherite_nuggets')

    event.add('forge:nuggets/netherite', 'morenugget:netherite_nuggets')

    event.add('balm:nuggets', 'morenugget:redstone_nuggets')

    event.add('forge:nuggets', 'morenugget:redstone_nuggets')

    event.add('forge:nuggets/redstone', 'morenugget:redstone_nuggets')

   










    




 
    console.log('Hello! The recipe event has fired!')
})


   
ServerEvents.tags('block', event => {
    // Add tall grass to the climbable tag. This does make it climbable!
    event.add('minecraft:needs_diamond_tool', 'galosphere:silver_ore')

    event.add('minecraft:needs_diamond_tool', 'galosphere:deepslate_silver_ore')

    event.add('minecraft:needs_diamond_tool', 'excavated_variants:granite_silver_ore')

    event.add('minecraft:needs_diamond_tool', 'excavated_variants:diorite_silver_ore')

    event.add('minecraft:needs_diamond_tool', 'excavated_variants:andesite_silver_ore')

    event.add('minecraft:needs_diamond_tool', 'excavated_variants:stuff_silver_ore')

    event.add('minecraft:needs_diamond_tool', 'blue_skies:everbright_diopside_ore')

    event.add('minecraft:needs_diamond_tool', 'blue_skies:everdawn_diopside_ore')

    event.add('minecraft:needs_diamond_tool', 'blue_skies:everbright_charoite_ore')

    event.add('minecraft:needs_diamond_tool', 'blue_skies:everdawn_charoite_ore')

    event.add('minecraft:needs_iron_tool', 'blue_skies:horizonite_ore')



  })